# syntax=docker/dockerfile:experimental

FROM nginx:1.16.1-alpine

LABEL maintainer="mahnke@sub.uni-goettingen.de"

ENV DEPLOY_HOST_NAME=$HOST_NAME \
    BUILD_CONTEXT=/mnt/build-context \
    NGINX_USER=root \
    WORKDIR=/usr/share/nginx/html
    
RUN --mount=target=/mnt/build-context \
    cp $BUILD_CONTEXT/docker/web-maintenance/html/* $WORKDIR && \
    cp -r $BUILD_CONTEXT/source/Resources $WORKDIR && \
    cp -r $BUILD_CONTEXT/source/ropen $WORKDIR
    
USER $NGINX_USER

WORKDIR $WORKDIR
EXPOSE 80

STOPSIGNAL SIGTERM